require("defines")

script.on_event(defines.events.on_player_created, function(event)
	local surface = game.get_surface(1)
	surface.create_entity{name  ="quest-delivery-system", position = {0,1}, force=game.player.force}
	 game.player.gui.top.add{type="button", name="open_quest_info", caption="Quests"}
end)

script.on_event(defines.events.on_gui_click, function(event)

		-- makes things easier
	local gui_name = event.element.name
	local player = game.players[event.player_index]

	if gui_name == "open_quest_info" then
		game.player.gui.top.open_quest_info.destroy()
		game.player.gui.center.add{type="frame", name="quest_info",direction="vertical"}
		game.player.gui.center.quest_info.add{type="label", caption = GetText("main_info")}
		game.player.gui.center.quest_info.add{type="button", name="view_quests", caption="Start quests"}
		game.player.gui.center.quest_info.add{type="button", name="close_quest_info", caption="Close"}
	elseif gui_name == "close_quest_info" then
		game.player.gui.center.quest_info.destroy()
		game.player.gui.top.add{type="button", name="open_quest_info", caption="Quests"}
	elseif gui_name == "view_quests" then
		game.player.gui.center.quest_info.destroy()
		game.player.gui.center.add{type="frame", name="questline", direction="vertical"}
		game.player.gui.center.questline.add{type="button", name="return_main", caption="Back"}
	elseif gui_name == "return_main" then
		game.player.gui.center.questline.destroy()
		game.player.gui.center.add{type="frame", name="quest_info",direction="vertical"}
		game.player.gui.center.quest_info.add{type="label", caption = GetText("main_info")}
		game.player.gui.center.quest_info.add{type="button", name="view_quests", caption="Start quests"}
		game.player.gui.center.quest_info.add{type="button", name="close_quest_info", caption="Close"}
	end
end)

function GetText(name)
		--defines the variable to hold the text(what will be returned)
	local text
	
	if name == "main_info" then
		text ="Welcome to Factorio quest mod!"
	end

	return text
end